Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 279589 - net-analyzer/echoping-6.0.2-r1 fails to build with sys-devel/libtool-2
Summary: net-analyzer/echoping-6.0.2-r1 fails to build with sys-devel/libtool-2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Netmon Herd
URL: http://sourceforge.net/tracker/index....
Whiteboard:
Keywords:
Depends on:
Blocks: libtool-2.2 281220
  Show dependency tree
 
Reported: 2009-07-29 14:59 UTC by Joost Ruis
Modified: 2009-09-15 17:09 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,49.06 KB, text/plain)
2009-08-06 08:52 UTC, Andrew Savchenko
Details
environment (environment,104.20 KB, text/plain)
2009-08-06 08:53 UTC, Andrew Savchenko
Details
compilation fix (echoping-6.0.2-r1.ebuild.patch,329 bytes, patch)
2009-08-06 09:46 UTC, Andrew Savchenko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joost Ruis 2009-07-29 14:59:00 UTC
...
Plugins to build: random whois dns postgresql ldap
>>> Source configured.                            
>>> Compiling source in /var/tmp/portage/net-analyzer/echoping-6.0.2-r1/work/echoping-6.0.2 ...
make -s -j3                                                                                    
Making all in plugins                                                                          
Making all in dns                                                                              
./libtool: line 872: X--tag=CC: command not found                                              
./libtool: line 905: libtool: ignoring unknown tag : command not found                         
./libtool: line 872: X--mode=compile: command not found                                        
./libtool: line 1038: *** Warning: inferring the mode of operation is deprecated.: command not found
./libtool: line 1039: *** Future versions of Libtool will require --mode=MODE be specified.: command not found
./libtool: line 1182: Xx86_64-pc-linux-gnu-gcc: command not found                                             
./libtool: line 1182: X-DHAVE_CONFIG_H: command not found                                                     
./libtool: line 1182: X-I.: command not found                                                                 
./libtool: line 1182: X-O2: command not found                                                                 
./libtool: line 1182: X-march=x86-64: command not found                                                       
./libtool: line 1182: X-pipe: command not found                                                               
./libtool: line 1182: X-MT: command not found                                                                 
./libtool: line 1182: Xdns.lo: command not found                                                              
./libtool: line 1182: X-MD: command not found                                                                 
./libtool: line 1182: X-MP: command not found                                                                 
./libtool: line 1182: X-MF: command not found                                                                 
./libtool: line 1182: X.deps/dns.Tpo: No such file or directory                                               
./libtool: line 1182: X-c: command not found                                                                  
./libtool: line 1233: Xdns.lo: command not found
./libtool: line 1238: libtool: compile: cannot determine name of library object from `': command not found
make[4]: *** [dns.lo] Error 1
make[3]: *** [all] Error 2
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2


Reproducible: Always




sabayon server # emerge --info                                                                                                                                                                                
Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.4.1, glibc-2.10.1-r0, 2.6.25-sabayon x86_64)                                                                                                      
=================================================================                                                                                                                                             
System uname: Linux-2.6.25-sabayon-x86_64-Intel-R-_Xeon-R-_CPU_X3220_@_2.40GHz-with-gentoo-2.0.1                                                                                                              
Timestamp of tree: Wed, 29 Jul 2009 09:45:03 +0000                                                                                                                                                            
app-shells/bash:     4.0_p28                                                                                                                                                                                  
dev-java/java-config: 1.3.7-r1, 2.1.8-r1                                                                                                                                                                      
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.2-r1                                                                                                                                                                
dev-python/pycrypto: 2.0.1-r8                                                                                                                                                                                 
dev-util/cmake:      2.6.4-r1                                                                                                                                                                                 
sys-apps/baselayout: 2.0.1                                                                                                                                                                                    
sys-apps/openrc:     0.4.3-r5                                                                                                                                                                                 
sys-apps/sandbox:    2.0                                                                                                                                                                                      
sys-devel/autoconf:  2.13, 2.63-r1                                                                                                                                                                            
FEATURES="collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                                                                
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirror.switch.ch/ftp/mirror/gentoo/"                                                                                                     
LANG="en_US"                                                                                                                                                                                                  
LC_ALL="en_US"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg
 tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh"
MAKEOPTS="-s -j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/enlightenment /usr/local/portage/layman/sabayon /usr/local/portage/layman/kde-testing"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7Zip X a52 aac aalib accessibility acl acpi aiglx aim alsa amd64 artswrappersuid audiofile avahi bash-completion berkdb bidi bluetooth bzip2 cairo cdda cddb cdr chm cjk cli config_wizard cpudetection c
racklib crypt css cups dbox2 dbus dga dri dts dv dvb dvd dvdr dvdread dvi dxr3 emboss encode extramodules fam fame fat ffmpeg fftw firefox flac flash foomatic-db fortran freetype gcj gdbm gif gimpprint gmp
gnutls gphoto2 gpm gs gsm gstreamer gtk hal hfs iconv icq ieee1394 imap inotify ipod ipv6 irc irda isdnlog jabber jack jfs jingle joystick jpeg kde kdeenablefinal kdehiddenvisibility kerberos kipi lame lcd
ldap libnotify live lj lm_sensors logitech-mouse lzo mad mail matroska midi mikmod mjpeg mmx mng mozdevelop mp3 mp3rtp mpeg msn mudflap multilib musepack musicbrainz ncurses network new-login nls nptl nptlo
nly nsplugin ntfs ogg openal openexr opengl openmp pam pcmcia pcre pda pdf perl png policykit povray ppds pppd pulseaudio python qt3support qt4 quicktime quotas rar rdesktop readline reflection reiserfs rss
 scanner sdl session slp sms speex spell spl sse sse2 ssl startup-notification stream svg sysfs tcpd theora tiff tracker truetype udev unicode usb v4l v4l2 visualization voice vorbis weather wifi wmf x264 x
cb xfs xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc yahoo zeroconf zlib" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart
mona pcxhr rme32 rme96 sb16 sbawe sscape usbusx2y vx222 usb-usx2y" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw
 multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_ow
ner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvi
f speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 pana
sonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox b
arbie canon clicksmart310 digigr8 digita directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50
x sq905 stv0674 stv0680 sx330z template" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="e
n en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz
vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh" LIRC_DEVICES="audio audio_alsa serial" USERLAND="GNU" VIDEO_CARDS="fbdev vesa radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers gentoo-dev 2009-07-29 15:56:25 UTC
Information is mysteriously missing from the output of `emerge --info'
Comment 2 Joost Ruis 2009-07-30 19:31:23 UTC
I'm sorry about the incorrect copy/paste.. )o;

Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.4.1, glibc-2.10.1-r0, 2.6.25-sabayon x86_64)
=================================================================
System uname: Linux-2.6.25-sabayon-x86_64-Intel-R-_Xeon-R-_CPU_X3220_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Thu, 30 Jul 2009 13:45:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 1.3.7-r1, 2.1.8-r1
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r5
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=x86-64 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/glftpd/etc /opt/glftpd/ftp-data /opt/openfire/resources/security/ /usr/kde/3.5/share/config/kdm /usr/lib64/fax /usr/share/config /usr/share/xbmc/userdata /var/bind /var/lib/hsqldb /var/spool/fax/etc /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/skel /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=x86-64 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirror.switch.ch/ftp/mirror/gentoo/"
LANG="en_US"
LC_ALL="en_US"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh"
MAKEOPTS="-s -j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/enlightenment /usr/local/portage/layman/sabayon /usr/local/portage/layman/kde-testing"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7Zip X a52 aac aalib accessibility acl acpi aiglx aim alsa amd64 artswrappersuid audiofile avahi bash-completion berkdb bidi bluetooth bzip2 cairo cdda cddb cdr chm cjk cli config_wizard cpudetection cracklib crypt css cups dbox2 dbus dga dri dts dv dvb dvd dvdr dvdread dvi dxr3 emboss encode extramodules fam fame fat ffmpeg fftw firefox flac flash foomatic-db fortran freetype gcj gdbm gif gimpprint gmp gnutls gphoto2 gpm gs gsm gstreamer gtk hal hfs iconv icq ieee1394 imap inotify ipod ipv6 irc irda isdnlog jabber jack jfs jingle joystick jpeg kde kdeenablefinal kdehiddenvisibility kerberos kipi lame lcd ldap libnotify live lj lm_sensors logitech-mouse lzo mad mail matroska midi mikmod mjpeg mmx mng mozdevelop mp3 mp3rtp mpeg msn mudflap multilib musepack musicbrainz ncurses network new-login nls nptl nptlonly nsplugin ntfs ogg openal openexr opengl openmp pam pcmcia pcre pda pdf perl png policykit povray ppds pppd pulseaudio python qt3support qt4 quicktime quotas rar rdesktop readline reflection reiserfs rss scanner sdl session slp sms speex spell spl sse sse2 ssl startup-notification stream svg sysfs tcpd theora tiff tracker truetype udev unicode usb v4l v4l2 visualization voice vorbis weather wifi wmf x264 xcb xfs xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc yahoo zeroconf zlib" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart mona pcxhr rme32 rme96 sb16 sbawe sscape usbusx2y vx222 usb-usx2y" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 digita directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50x sq905 stv0674 stv0680 sx330z template" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh" LIRC_DEVICES="audio audio_alsa serial" USERLAND="GNU" VIDEO_CARDS="fbdev vesa radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Andrew Savchenko gentoo-dev 2009-08-06 08:51:30 UTC
It fails for me in the same way on amd64.
Comment 4 Andrew Savchenko gentoo-dev 2009-08-06 08:52:59 UTC
Created attachment 200351 [details]
build.log
Comment 5 Andrew Savchenko gentoo-dev 2009-08-06 08:53:18 UTC
Created attachment 200353 [details]
environment
Comment 6 Andrew Savchenko gentoo-dev 2009-08-06 08:54:48 UTC
$ emerge --info
Portage 2.2_rc36 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.30.4-sheryl x86_64)
=================================================================
System uname: Linux-2.6.30.4-sheryl-x86_64-Intel-R-_Celeron-R-_CPU_2.53GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 05 Aug 2009 19:15:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-lang/python:     2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.6.3, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -mcx16 -msahf --param l1-cache-line-size=64 --param l1-cache-size=16 --param l2-cache-size=256 -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -fomit-frame-pointer -pipe -fstack-protector"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -mcx16 -msahf --param l1-cache-line-size=64 --param l1-cache-size=16 --param l2-cache-size=256 -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -fomit-frame-pointer -pipe -fstack-protector"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="assume-digests ccache collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-march=nocona -mcx16 -msahf --param l1-cache-line-size=64 --param l1-cache-size=16 --param l2-cache-size=256 -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -fomit-frame-pointer -pipe -fstack-protector"
GENTOO_MIRRORS=" ftp://bircoph/distributive/gentoo/portage ftp://ftp.chg.ru/pub/Linux/gentoo http://mirror.yandex.ru//gentoo-distfiles  http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/science /usr/local/portage/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="aalib acl acpi adns amd64 bash-completion blas bluetooth bzip2 caps cdb cli clisp cracklib crypt cscope ctype cups curl curlwrappers cvs cxx cyrillic djvu doc eap-tls editor encode enscript examples exif expat fftw foomaticdb fortran ftp gdbm geoip gif ginac git gmp gnuplot gnutls gpgme gpm gsl hardened hdf5 iconv idn imap iproute2 ipv6 isdnlog javascript jpeg jpeg2k keyscrub kpathsea lapack latex libcaca libwww lm_sensors logrotate lzo maildir mailwrapper mbox md5sum mhash mime mmap mmx mng mppe-mppc mudflap multilib mysql mysqli ncurses netcdf network-cron nls nntp nocd nptlonly objc objc++ offensive openexr otr pam pch pcntl pcre pdf perl plotutils png pop posix ppds pppd raw readline recode reflection rle samba scanner session sharedmem slang slp smtp sockets socks5 sparse spell spl sse sse2 sse3 ssl subversion supernodal sysfs syslog szip tcpd tiff unicode usb vim vim-syntax wifi xattr yaz zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authz_host dir mime" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" USERLAND="GNU"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Andrew Savchenko gentoo-dev 2009-08-06 09:46:43 UTC
Created attachment 200356 [details, diff]
compilation fix

This is rather hack than fix.

The problem is in undefined $echo variable in libtool script, but $ECHO is defined, maybe a bug or a typo. It is rather annoying to search the reason for bugs in autogenerated code, so I just exported valid echo variable.
Comment 8 Robert Buchholz (RETIRED) gentoo-dev 2009-08-21 06:56:05 UTC
Is this a regression from echoping-6.0.2  (did it work there)?
Comment 9 Jeroen Roovers gentoo-dev 2009-08-21 14:38:01 UTC
(In reply to comment #8)
> Is this a regression from echoping-6.0.2  (did it work there)?

-r0 was from before bug #279525, which patched it to work with newer gnutls, which ended up in -r1. I suspect it's the way I introduced eautoreconf - feel free to check it out and possibly fix it. ;)
Comment 10 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-09-14 18:35:47 UTC
Comment on attachment 200356 [details, diff]
compilation fix

Please don't use this patch.

The problem comes from running libtoolize (out of eautoreconf) with a copy of libtool.m4 still present.

The solution is to remove libtool.m4 from wherever it is in the sources _before_ regenerating autotools.
Comment 11 Christian Faulhammer (RETIRED) gentoo-dev 2009-09-14 19:12:41 UTC
There is no easy solution to fix the issue, maybe the hack could be applied.
Comment 12 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-09-14 22:27:30 UTC
I added a better workaround.
Comment 13 Jeroen Roovers gentoo-dev 2009-09-15 11:25:37 UTC
(In reply to comment #12)
> I added a better workaround.

Looks good. Now it needs to be stabilised along with sys-devel/libtool-2.2.6a.
Comment 14 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-09-15 17:02:58 UTC
(In reply to comment #13)

Stabilization should happen in bug #281220.